# Module openrndr
## OPENRNDR Standard Library
A Kotlin/JVM library for creative coding, real-time and interactive graphics. Can currently be used on Windows, macOS and Linux/x64 to create stand alone graphical applications.

Additional Resources:
- Please have a look at our [application template](https://github.com/openrndr/openrndr-gradle-template) and our [tutorial repository](https://github.com/openrndr/openrndr-tutorials) for usage examples.
- Basics and use are further explained in the [OPENRNDR guide](https://guide.openrndr.org) and more project information can be found on our [website](https://openrndr.org) 
- The OPENRNDR source is hosted on [Github](https://github.com/openrndr/openrndr)


# Package org.openrndr
the core of OPENRNDR

# Package org.openrndr.animatable
optional animation library

# Package org.openrndr.animatable.easing
[easing](https://easings.net) types specify the rate of change of a parameter over time.

# Package org.openrndr.binpack
a binpacker, used internally for creating texture atlases.

# Package org.openrndr.color
code related to working with Color

# Package org.openrndr.draw
a core component related to Drawing

# Package org.openrndr.events
a simple event library

# Package org.openrndr.extensions
a simple Extension interface with which default Program behaviour can be changed.

# Package org.openrndr.filter
optional library of filtering and post processing related code

# Package org.openrndr.math
code related to math, mostly computer graphics math

# Package org.openrndr.math.transforms
code related to math transformations

# Package org.openrndr.platform
a core component related to platforms

# Package org.openrndr.shadestyle
code related to Shade styles

# Package org.openrndr.shape
code related to 2d shapes

# Package org.openrndr.svg
code related to reading and writing SVG files

# Package org.openrndr.text
a core component related to working with Text
